Description

This is the 1.2 patch, adding 5 new maps(including 2 vanilla remake) and fixing some existing maps. Install full version 1.0 > install patch 1.1 > then install this patch 1.2.

Preview
Urban conflict patch 1.2 : install 1.1 then 1.2
Comments
remyx
remyx

Error changing weapon in support kit Youtu.be

Reply Good karma Bad karma+1 vote
Ismoleboss Author
Ismoleboss

You are not supposed to change kit weapons in urban conflict. (we don't have included support to this) You have to use the already issued weapons.
May be in the future, we will add this functionality.

Reply Good karma+1 vote
remyx
remyx

ok xd

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Tags

Urban conflict patch 1.2 : install 1.1 then 1.2 has not been tagged yet.